curl "https://api.hitler.app/api/auth/me" \
-H "Authorization: Bearer YOUR_JWT_TOKEN"
const user = await api.getMe();
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"email": "user@company.com",
"name": "John Doe",
"role": "employee",
"organizationId": "456e7890-e12b-34d5-a678-426614174000"
}
{
"statusCode": 401,
"message": "Unauthorized",
"error": "Unauthorized"
}
Auth
Get Current User
Get the profile of the authenticated user
GET
/
api
/
auth
/
me
curl "https://api.hitler.app/api/auth/me" \
-H "Authorization: Bearer YOUR_JWT_TOKEN"
const user = await api.getMe();
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"email": "user@company.com",
"name": "John Doe",
"role": "employee",
"organizationId": "456e7890-e12b-34d5-a678-426614174000"
}
{
"statusCode": 401,
"message": "Unauthorized",
"error": "Unauthorized"
}
This endpoint requires authentication. Include your JWT token in the Authorization header.
Response
string
User UUID
string
User’s email address
string
User’s display name
string
User’s role:
employee, manager, or adminstring
Organization UUID
curl "https://api.hitler.app/api/auth/me" \
-H "Authorization: Bearer YOUR_JWT_TOKEN"
const user = await api.getMe();
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"email": "user@company.com",
"name": "John Doe",
"role": "employee",
"organizationId": "456e7890-e12b-34d5-a678-426614174000"
}
{
"statusCode": 401,
"message": "Unauthorized",
"error": "Unauthorized"
}